Bug 1934558 - squid: out-of-bounds read in WCCP protocol
Summary: squid: out-of-bounds read in WCCP protocol
Keywords:
Status: CLOSED DUPLICATE of bug 1939939
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1934559 1934560
Blocks: 1934571
TreeView+ depends on / blocked
 
Reported: 2021-03-03 13:39 UTC by Michael Kaplan
Modified: 2022-05-17 09:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 09:41:25 UTC


Attachments (Terms of Use)

Description Michael Kaplan 2021-03-03 13:39:19 UTC
The issue results from the lack of proper validation of user-supplied data, which can result in a read past the end of an allocated buffer. An attacker can leverage this in conjunction with other vulnerabilities to execute code in the context of the "nobody" user.

Comment 2 Michael Kaplan 2021-03-03 13:40:03 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1934559]

Comment 4 Mauro Matteo Cascella 2021-03-08 15:37:21 UTC
External References:

https://www.zerodayinitiative.com/advisories/ZDI-21-157/

Comment 5 Mauro Matteo Cascella 2021-03-19 09:41:25 UTC

*** This bug has been marked as a duplicate of bug 1939939 ***


Note You need to log in before you can comment on or make changes to this bug.